Skip to main content
Platform O&M/Backup Management/Backup Service (Plus)/Backup Service Operations
GETBackup Service OperationsSince 3.4.0SynchronousAuth Required

QuerySchedulerJobGroup

QuerySchedulerJobGroup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories

    • uuidStringRequired

      The UUID of the job group.

    • nameStringRequired

      The name of the job group.

    • descriptionStringRequired

      The detailed description of the job group.

    • stateString

      Optional. The state of the job group.

    • createDateTimestampRequired

      The time when the job group was created.

    • lastOpDateTimestampRequired

      The time when the job group was last modified.

    • jobDataStringRequired

      The data of the jobs.

    • triggersUuidListRequired

      The UUID of the trigger.

Endpoint

GET/zstack/v1/scheduler/jobgroups

/zstack/v1/scheduler/jobgroups

Operation ID

QuerySchedulerJobGroup

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/scheduler/jobgroups' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "03dd26d45bb43bb094f3fdec29d78829", "name": "test", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history